Package org.eclipse.birt.report.model.api

# Class ExpressionListHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.ComplexValueHandle
org.eclipse.birt.report.model.api.ExpressionListHandle

public class ExpressionListHandle extends ComplexValueHandle
Simplifies working with expression lists. An expression list contains multiple expressions.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ComplexValueHandle

`memberContext, propDefn`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ExpressionListHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.MemberRef ref)`
Deprecated.
`protected`
`ExpressionListHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.StructureContext context)`
Constructs an expression list handle for the structure member.
`protected`
`ExpressionListHandle(DesignElementHandle element, org.eclipse.birt.report.model.metadata.ElementPropertyDefn thePropDefn)`
Constructs an expression list handle for an element property.

## Method Summary

Modifier and Type
Method
Description
`List<Expression>`
`getListValue()`
Returns the value as an expression list.
`void`
`setListValue(List<Expression> toSet)`
Returns the value as an expression list.

### Methods inherited from class org.eclipse.birt.report.model.api.ComplexValueHandle

`getContext, getDefn, getDisplayValue, getPropertyDefn, getRawValue, getStringValue, getValue, isSet, setStringValue, setValue`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionListHandle

protected ExpressionListHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.StructureContext context)
Constructs an expression list handle for the structure member.

Parameters:
  `element` - the design element handle
  `context` - the memberRef for the member property

### ExpressionListHandle

@Deprecated protected ExpressionListHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.MemberRef ref)
Deprecated.
Constructs an expression list handle for the structure member.

Parameters:
  `element` - the design element handle
  `context` - the memberRef for the member property

### ExpressionListHandle

protected ExpressionListHandle(DesignElementHandle element, org.eclipse.birt.report.model.metadata.ElementPropertyDefn thePropDefn)
Constructs an expression list handle for an element property.

Parameters:
  `element` - handle to the element that defined the property.
  `thePropDefn` - definition of the expression property.

## Method Details

### getListValue

public List<Expression> getListValue()
Returns the value as an expression list. Each item in return list is an `Expression`.

Returns:
  a list containing expressions

### setListValue

public void setListValue(List<Expression> toSet) throws SemanticException
Returns the value as an expression list. Each item in return list is an `Expression`.

Parameters:
  `toSet` - a list containing expressions
Throws:
  `SemanticException`